| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Gaudi::Functional::details::DataHandleMixin< void, std::tuple<>, Traits_ > Class Template Reference

`#include <GaudiAlg/FunctionalDetails.h>`

Inheritance diagram for Gaudi::Functional::details::DataHandleMixin< void, std::tuple<>, Traits_ >:
[legend]
Collaboration diagram for Gaudi::Functional::details::DataHandleMixin< void, std::tuple<>, Traits_ >:
[legend]

## Public Member Functions
| DataHandleMixin (const std::string &name, ISvcLocator *pSvcLocator)

## Protected Member Functions
bool | isReEntrant () const override

## Protected Attributes
std::tuple | m_inputs

## Detailed Description

### template<typename Traits_>
class Gaudi::Functional::details::DataHandleMixin< void, std::tuple<>, Traits_ >

Definition at line 469 of file FunctionalDetails.h.

## Constructor & Destructor Documentation

## ◆ DataHandleMixin()

template<typename Traits_ >

Gaudi::Functional::details::DataHandleMixin< void, std::tuple<>, Traits_ >::DataHandleMixin | ( | const std::string & | name,
|  | ISvcLocator * | pSvcLocator
| ) |  |
| inline

Definition at line 473 of file FunctionalDetails.h.

473 : BaseClass_t<Traits_>( name, pSvcLocator ) {
474 this->setProperty( "Cardinality", 0 ); // make sure this algorithm is seen as reentrant by Gaudi
475 }
gaudiComponentHelp.name
name
Definition: gaudiComponentHelp.py:41
setProperty
bool PyHelper() setProperty(IInterface *p, char *name, char *value)
Definition: Bootstrap.cpp:233

## Member Function Documentation

## ◆ isReEntrant()

template<typename Traits_ >

bool Gaudi::Functional::details::DataHandleMixin< void, std::tuple<>, Traits_ >::isReEntrant | ( |  | ) | const
| inline override protected

Definition at line 478 of file FunctionalDetails.h.

478 { return true; }

## Member Data Documentation

## ◆ m_inputs

template<typename Traits_ >

std::tuple Gaudi::Functional::details::DataHandleMixin< void, std::tuple<>, Traits_ >::m_inputs
| protected

Definition at line 480 of file FunctionalDetails.h.

The documentation for this class was generated from the following file:

- GaudiAlg/GaudiAlg/FunctionalDetails.h